<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
	<class name="RoomType" table="tb_RoomType">
		<id name="ID" column="ID" type="int" unsaved-value="0">
			<generator class="native" />
		</id>
		<property name="Code" column="Code" type="string" />
		<property name="Name" column="Name" type="string" />
		<property name="HostName" column="HostName" type="string"  />
		<property name="RoomHeight" column="RoomHeight" type="string"  />
		<property name="RoomArea" column="RoomArea" type="string"  />
		<property name="RoomHotLossRatio" column="RoomHotLossRatio" type="string"  />
		<property name="ControlType" column="ControlType" type="ControlType"  />
		<bag name="Modals" table="tb_RoomTypeModal" cascade="all" inverse="true">
			<key column="RoomTypeID" foreign-key="FK_tb_RoomTypeModal_tb_RoomType" />
			<one-to-many class="RoomTypeModal" />
		</bag>
    <property name="HotelID" column="HotelID" type="int"  />
    <property name="Default" column="Default1" type="bool"  />
    <property name="Last_Modified_Time" column="Last_Modified_Time" type="DateTime"  />
    <property name="IsDeleted" column="IsDeleted" type="bool" />
	</class>
</hibernate-mapping>
